!
! This file contains a set of X defaults which may be used in conjunction
! with the Motif version of CRISP. Some of these resources are unique to
! Motif and some are generic to the other Intrinsics (Xt) based versions
! of CRISP (e.g. OLIT and the Athena Widgets set).
!
! Intrinsics atribute names are a little complicated but essentially
! there are two ways to name resources. You can specify generic classes
! of resource attributes or specific attributes. Generic attributes
! start with a capital letter and specific ones start with a lower case
! letter.
!
! In the case of CRISP you might have a default set of colors and attributes
! but occasionaly might want to invoke CRISP by a different name and
! allow that specific instance to run with a different set of attribute
! values.
!
! In the descriptions below the attributes are specified as generic
! attributes which will apply to all version of 'mcr'. To tailor the
! attributes you would need to change the 'mcr.' field at the beginning
! of the resource names. For example, if you invoke CRISP as:
!
!	mcr -name fred
!
! then you would replace the 'mcr*' with 'fred*'.
!
! If you want to change CRISPs defaults the simplest thing to do is
! take a copy of this file, make your private changes and append the file
! to your ~/.Xdefaults file, or for quick testing, execute:
!
!	xrdb -merge Xdefaults.xview
!
! or whatever you have called this file.
!
!**********************************************************************
! Use the following resource to change the default size of the CRISP
! window. Window size is specified in pixels. Format is Width*Height.
mcr*geometry:	562x408

!**********************************************************************
! This resource is used to define the default font to use when running
! CRISP. This font is used within CRISPs editing window, and is not used
! by the various menus or popups. 
mcr*crwin.font:		7x13bold

!**********************************************************************
! The following resource can be used to override the default font used
! for the Motif menu bars and popup menus.
mcr*fontList:		7x13bold

!**********************************************************************
! The following resource can be used to change the default background
! color for the menu bar and the pull-down menus.
mcr*menu_bar*background:	CadetBlue

!**********************************************************************
! The following resource can be used to change the default foreground
! color for the menu bar and the pull-down menus.
mcr*menu_bar*foreground:	white

!**********************************************************************
! The following can be used to set the colors for the background of
! the two scrollbars.
mcr*hscrollbar*background:	CadetBlue
mcr*vscrollbar*background:	CadetBlue

!**********************************************************************
! The following can be used to change the colors of the popup menu.
! NOTE: If you modify xwin.cr and change the title of the popup menu
! then you will need to modify this resource attribute.
mcr*Popup Menu*background:	pink
mcr*Popup Menu*foreground:	black


!**********************************************************************
! The following resource is used to change the rate at which the cursor
! flashes. The time is measured in milliseconds so the default corresponds
! to a 1/2 second interval. If you set this value to zero the cursor will
! not flash.
mcr*flashRate: 		500

!**********************************************************************
! The following resource is used to control the sensitivity of the
! mouse. If the mouse is too sensitive then you will find that when you
! click on an area of the text buffer that the character underneath the
! cursor will behave as if you had dropped an anchor. This occurs because
! in between the time you press the mouse button to select the point and
! the time you release the button the mouse may have moved a tiny amount.
! The default value gives you about one characters worth of lee-way of
! movement before deciding that you are meaning to drag and highlite a
! region.
!
! The value is measured in pixels.
mcr*crwin.mouseThreshold:	10

!**********************************************************************
! The following fields may be used to configure the CRISPlet dialog
! boxes.
!
! The following may be used to make the File Selection (Open File/Insert File)
! dialog boxes wider/thinner and thus avoid automatic resizing of the
! popup dialog box.
mcr*dlgopen*textColumns:	48

!
!**********************************************************************
!**********************************************************************
! THE FOLLOWING ATTRIBUTES ARE NOT SPECIFIC TO CRISP BUT ARE PART
! OF YOUR Motif ENVIRONMENT.
!
!
! For further details on these resources consult your Motif documentation.
!**********************************************************************
! The following attribute specifies where the vertical scrollbar should be
! placed -- either to the left or right of the main editing area.
mcr*scrollBarPlacement:		BOTTOM_LEFT
!mcr*scrollBarPlacement:	BOTTOM_RIGHT

